Table of Contents

Class: Banana | Twisted-0.17.4/twisted/spread/banana.py
--- | ---

Base Classes |
--- | ---
protocol.Protocol styles.Ephemeral

Methods |
--- | ---

__init__ _encode _selectDialect callExpressionReceived connectionMade | connectionReady dataReceived expressionReceived gotItem sendEncoded

| __init__

    __init__ ( self,  isClient=1 )

| _encode

    _encode (
            self,
            obj,
            write,
            )

Exceptions |
--- | ---
RuntimeError, "could not send object: %s" % repr( obj )

| _selectDialect

    _selectDialect ( self,  dialect )

| callExpressionReceived

    callExpressionReceived ( self,  obj )

| connectionMade

    connectionMade ( self )

| connectionReady

    connectionReady ( self )

Surrogate for connectionMade Called after protocol negotiation.

| dataReceived

    dataReceived ( self,  chunk )

Exceptions |
--- | ---
Exception( "Security precaution: Length identifier too long." ) Exception( "Security precaution: longer than 64 bytes worth of prefix" ) Exception( "Security precaution: more than 64 bytes of prefix" ) NotImplementedError(( "Invalid Type Byte %s" % typebyte ) )

| expressionReceived

    expressionReceived ( self,  lst )

Called when an expression (list, string, or int) is received.

Exceptions |
--- | ---
NotImplementedError()

| gotItem

    gotItem ( self,  item )

| sendEncoded

    sendEncoded ( self,  obj )

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:32 2002 by HappyDoc version 2.0